document.addEventListener('DOMContentLoaded', () => {
  loadInstallers();
  setupFilters();
});

const loadInstallers = async () => {
  // Simulated data - in production, this would fetch from an API
  const installers = [
    {
      name: "SunPower Solutions",
      region: "North",
      certification: "Premium",
      rating: 4.8
    },
    {
      name: "EcoSolar Systems",
      region: "South",
      certification: "Advanced",
      rating: 4.6
    },
    // Add more installers here
  ];

  displayInstallers(installers);
};

const displayInstallers = (installers) => {
  const container = document.getElementById('installersList');
  container.innerHTML = '';

  installers.forEach(installer => {
    const card = document.createElement('div');
    card.className = 'installer-card';
    card.innerHTML = `
      <h3>${installer.name}</h3>
      <p>Region: ${installer.region}</p>
      <p>Certification: ${installer.certification}</p>
      <p>Rating: ${installer.rating}/5.0</p>
      <button onclick="contactInstaller('${installer.name}')">Contact</button>
    `;
    container.appendChild(card);
  });
};

const setupFilters = () => {
  const regionFilter = document.getElementById('regionFilter');
  const certificationFilter = document.getElementById('certificationFilter');

  [regionFilter, certificationFilter].forEach(filter => {
    filter.addEventListener('change', () => {
      // Implement filtering logic here
      loadInstallers();
    });
  });
};

const searchInstallers = () => {
  const searchTerm = document.getElementById('locationSearch').value;
  // Implement search logic here
  loadInstallers();
};

const contactInstaller = (installerName) => {
  alert(`Contact form for ${installerName} will open here`);
};